symbol lookup error: undefined symbol

Anonymous
2010-01-29
2012-10-17

  • Anonymous
    2010-01-29

    Hi,
    I installed texmakerx_1.9.3-1_i386.deb on a Debian Lenny. It was complaining
    about 2 dependencies 'libqt4-core und libqt4-gui' so i installed these
    packages, than ran dpkg -i texmakerx_1.9.3-1_i386.deb
    Now when starting texmakerx i got this error

    texmakerx: symbol lookup error: texmakerx: undefined symbol:
    _ZN20QFutureInterfaceBase11setRunnableEP9QRunnable

    Any ideas what i forget?
    Many thanks

     
  • Probably, you have the wrong qt version or different versions installed.

    However, I'm not sure which version you need. I'm sure that TexMakerX 1.9.2
    worked with qt 4.5, but the the error message you quoted says it needs the
    method QFutureInterfaceBase::setRunnable which didn't exist before qt 4.6
    after the kde-qt source history, so TexMakerX 1.9.3 could require qt 4.6.

    As a remark, the source and the 64 bit versions of tmx 1.9.3 definitely work
    with qt4.5.3 (which i'm using right now...)

     

  • Anonymous
    2010-02-01

    Thanks, now it works in Debian Testing but not Lenny